close all
meshfile=gmsh.buildmesh2d('condenser',10);
Th=siMesh(meshfile);
u=@(x,y) cos(2*x-y).*sin(x-2*y);
U=Th.eval(u);

tstart=tic();
figure(1)
Th.plot(U)
hold on
Th.plotiso(U,'isorange',0, 'color','w', 'Linewidth',1.5);
axis off,axis image,shading interp,colorbar
T=toc(tstart);
title(sprintf('nq=%d, nme=%d, display in %.3f(s)',Th.nq,Th.get_nme(),T))

tstart=tic();
figure(2)
Th.plot(U,'FaceAlpha',0.8)
hold on
[Colors,isorange]=Th.plotiso(U,'niso',20, 'Linewidth',1.5);
axis off,axis image, shading interp
fc_tools.graphics.colorbarIso(Colors,isorange,'%.3f')
T=toc(tstart);
title(sprintf('nq=%d, nme=%d, display in %.3f(s)',Th.nq,Th.get_nme(),T))

fc_tools.graphics.DisplayFigures();